Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
polledit.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZPollMain", "Language" )
| $errorIni = new eZINI( "kernel/ezpoll/admin/intl/" . $Language . "/polledit.php.ini", false )
if(isset( $Back)) if(isset( $Action) && $Action=="New") if(isset( $Action) && $Action=="Insert") if(isset( $Choice)) if(isset( $DeleteChoice)) if(isset( $Action) && $Action=="Update") if(isset( $Action) && $Action=="Delete") | $t
| $Action_value = "insert"
| $Name = ""
| $Description = ""
| $IsEnabled = ""
| $IsClosed = ""
| $Anonymous = ""
| $nopolls = ""
if(isset( $Action) && $Action=="Edit") | $pollChoice = new eZPollChoice()
| $pollChoiceList = $pollChoice->getAll( $PollID )
if(! $pollChoiceList) | $i =0

## Variable Documentation

## ◆ $Action_value

$Action_value = "insert"

Definition at line 249 of file polledit.php.

## ◆ $Anonymous

$Anonymous = ""

Definition at line 254 of file polledit.php.

## ◆ $Description

$Description = ""

Definition at line 251 of file polledit.php.

## ◆ $errorIni

$errorIni = new eZINI( "kernel/ezpoll/admin/intl/" . $Language . "/polledit.php.ini", false )

Definition at line 35 of file polledit.php.

## ◆ $i

if (! $pollChoiceList) $i =0

Definition at line 303 of file polledit.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 32 of file polledit.php.

## ◆ $IsClosed

$IsClosed = ""

Definition at line 253 of file polledit.php.

## ◆ $IsEnabled

$IsEnabled = ""

Definition at line 252 of file polledit.php.

## ◆ $Language

$Language = $ini->variable( "eZPollMain", "Language" )

Definition at line 34 of file polledit.php.

## ◆ $Name

$Name = ""

Definition at line 250 of file polledit.php.

## ◆ $nopolls

$nopolls = ""

Definition at line 255 of file polledit.php.

## ◆ $pollChoice

if (isset($Action) &&$Action=="Edit") $pollChoice = new eZPollChoice()

Definition at line 291 of file polledit.php.

## ◆ $pollChoiceList

$pollChoiceList = $pollChoice->getAll( $PollID )

Definition at line 293 of file polledit.php.

## ◆ $t

if (isset($Back)) if (isset($Action) &&$Action=="New") if (isset($Action) &&$Action=="Insert") if (isset($Choice)) if (isset($DeleteChoice)) if (isset($Action) &&$Action=="Update") if (isset($Action) &&$Action=="Delete") $t

Initial value:
= new eZTemplate( "kernel/ezpoll/admin/" . $ini->variable( "eZPollMain", "AdminTemplateDir" ),
"kernel/ezpoll/admin/intl/", $Language, "polledit.php" )
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: polledit.php:34
$ini
$ini
Definition: polledit.php:32

Definition at line 237 of file polledit.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.